aboutsummaryrefslogtreecommitdiffstats
path: root/main
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2013-02-20 10:02:07 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-02-20 10:02:07 +0000
commitc94445ec870b0be319a6403e5c80ffbc20b5da9a (patch)
tree5b09db0fa2e32b16c8b4ef1624e169354d43d6e1 /main
parentfb58724295d2fb927556876ef0de5fe9c4727d8e (diff)
downloadaports-c94445ec870b0be319a6403e5c80ffbc20b5da9a.tar.bz2
aports-c94445ec870b0be319a6403e5c80ffbc20b5da9a.tar.xz
main/check: moved from testing
Diffstat (limited to 'main')
-rw-r--r--main/check/APKBUILD33
1 files changed, 33 insertions, 0 deletions
diff --git a/main/check/APKBUILD b/main/check/APKBUILD
new file mode 100644
index 0000000000..a5d2e2f17b
--- /dev/null
+++ b/main/check/APKBUILD
@@ -0,0 +1,33 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=check
+pkgver=0.9.8
+pkgrel=0
+pkgdesc="A unit test framework for C"
+url="http://check.sourceforge.net/"
+arch="all"
+license="LGPL2+"
+depends=""
+depends_dev="pkgconfig"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://downloads.sourceforge.net/check/check-$pkgver.tar.gz"
+_builddir="$srcdir"/check-$pkgver
+
+build() {
+ cd "$_builddir"
+ ./configure \
+ --prefix=/usr \
+ --infodir=/usr/share/info \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="5d75e9a6027cde79d2c339ef261e7470 check-0.9.8.tar.gz"